.cart-component .background{
    left: 0;
    position: fixed;
    display: none;
    opacity: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 10000;
    top: 0;
}

.cart-component .background.show{
    display: block;
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.7);
}

.cart-component .navCartButton {
    border-radius: 5px 5px 5px 5px;
    height: 40px;
    background: black;
    color: #fff;
    cursor: pointer;
    font-size: 20px;
    border: 1px solid black;
    height: 65px;
    float: right;
    display: block
}

.cart-component .collapsable-cart{
    position: fixed;
    width: 25%;
    height: 100vh;
    background: white;
    top: 0;
    right: -25%;
    overflow: auto;
    padding: 20px;
    transition: 1s;
    z-index: 10001;
}

.cart-component .collapsable-cart.show{
    position: fixed;
    right: 0;
}

.cart-component .collapsable-cart::-webkit-scrollbar{
    display: none;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

@media (max-width:1024px) {
    .cart-component .collapsable-cart {
        width: 90%!important;
        right: -90%;
    }
}